import request from '@/utils/request'

// 查询cmc经费计算列表
export function listSettleWork(query) {
  return request({
    url: '/oa/settleWork/list',
    method: 'get',
    params: query
  })
}

// 查询cmc经费计算详细
export function getSettleWork(settleId) {
  return request({
    url: '/oa/settleWork/' + settleId,
    method: 'get'
  })
}

// 新增cmc经费计算
export function addSettleWork(data) {
  return request({
    url: '/oa/settleWork',
    method: 'post',
    data: data
  })
}

// 修改cmc经费计算
export function updateSettleWork(data) {
  return request({
    url: '/oa/settleWork',
    method: 'put',
    data: data
  })
}

// 删除cmc经费计算
export function delSettleWork(settleId) {
  return request({
    url: '/oa/settleWork/' + settleId,
    method: 'delete'
  })
}
